package com.brilliance.isc.common.rmbbop.vo;

import com.brilliance.isc.common.rmbbop.common.AbstractRmb;
import com.brilliance.isc.common.rmbbop.model.Tdbgrp;
import com.brilliance.isc.common.rmbbop.model.Tfagrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Rmb2102 extends AbstractRmb {
    private String acp = NULLSTR;
    private Tfagrp recgrp;

    //\RMBBUT\FLG
    private String rmbbutflg = NULLSTR;
    /**
     * 业务编号
     */
    private String ownref = NULLSTR;

    //获取交易
    private String isbus = NULLSTR;

    private int newnum = 0;

    @Override
    public String getObjtyp() {
        return "TFA";
    }

    @Override
    public void clear() {
        super.clear();
        recgrp = new Tfagrp();
        recgrp.reset();
    }

    @Override
    public void reset() {
        super.reset();
        if (recgrp == null) {
            recgrp = new Tfagrp();
        }
        recgrp.reset();
    }
}
